/* =========================
   pages.css (lower pages common)
   - kanei-chakai specs included
========================= */
@import url('variables.css'); 

/* =========================
   kannei-gyoukou page (add-on)
========================= */

/* ---- 絵巻 ---- */
.page--gyoukou .section-media img:last-of-type {
    margin-top: 24px;
}
.page--gyoukou .page-section--lead{
    padding-top: initial;
}
/* ---- 「五日間の饗応」タイトル ---- */
.gy-timeline__title{
  margin: 0;
  font-size: 32px;
  font-weight: 700;
  position: relative;
}
.gy-timeline__title:before{
    content: "";
    display: block;
    background-color: var(--white);
    height: 1px;
    position: absolute;
    width: calc(((100vw - 1000px) / 2) - 40px );
    top: 50%;
    left: calc(-1 * ((100vw - 1000px) / 2));
    transform: translateY(-50%);
}

/* ---- タイムライン本体 ---- */
.timeline{
  max-width: 920px;
  list-style: none;
  margin: 0 auto;
  margin-top: 40px;
  position: relative;
}

.timeline-item__head{
  display: flex;
  gap: 32px;
  align-items: center;
}

.timeline-day{
  font-size: 20px;
  font-weight: 600;

  border: 1px solid var(--white);
  min-width: 150px;
  min-height: 50px;
  background: transparent;
  display: flex;
  align-items: center;
  justify-content: center;
}

.timeline-date{
  font-size: 20px;
}

.timeline-body{
  display: grid;
  grid-template-columns: 150px 1fr;
  gap: 32px;
}
.timeline-body-cont{
  margin: 40px 0;
}
/* 縦ライン */
.timeline-body::before{
  content:"";
  grid-column: 1;
  justify-self: center; 
  width: 1px;
  background: var(--white);
}

.timeline-event{
  font-size: 24px;
  font-weight: 800;
  margin-top: 24px;
}

.timeline-event:first-child{
  margin-top: 0;
}

.timeline-text{
  margin-top: 8px;
  max-width: 550px;
}
.timeline-text--note{
  margin-top: initial;
}

.gy-timeline__note{
  margin-top: 16px;
}

/* ---- もっと知るには ---- */
.gy-more{
  padding-bottom: 0;
}

.gy-more__title{
  margin: 0;
  font-size: 32px;
  font-weight: 700;
  text-align: left;
}

.gy-more__book{
  display: block;
  height: 86px;
  margin-top: 54px;
  border: 1px solid var(--white);
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 24px;
  transition: background-color .5s ease, color .5s ease;
}
.gy-more__book:hover{
  background:#fff;
  color:#000;
}

/* =========================
   SP (<=480)
========================= */
@media (max-width: 480px){

  .timeline-item__head{
    gap: 24px;
  }

  .timeline-day{
    min-width: 90px;
  }

  .timeline-body{
    grid-template-columns: 90px 1fr;
    gap: initial;
  }
}
